alter ignore table minibbtable_forums add column topics_count int(10) not null default 0;
alter ignore table minibbtable_forums add column posts_count int(10) not null default 0;

#2.0 RC3
alter ignore table minibbtable_forums add column forum_group varchar(150) not null default '';

alter ignore table minibbtable_topics add column posts_count int(10) not null default 0;
alter ignore table minibbtable_topics add column sticky int(1) not null default 0;
alter ignore table minibbtable_topics add key (sticky);

#2.0 RC3
alter ignore table minibbtable_topics add column topic_last_post_time datetime not null default '0000-00-00 00:00:00';
alter ignore table minibbtable_topics add key (topic_last_post_id);
alter ignore table minibbtable_topics add key posts_count (posts_count);
alter ignore table minibbtable_topics add key topic_time (topic_time);
alter ignore table minibbtable_topics add key topic_last_post_time (topic_last_post_time);
alter ignore table minibbtable_topics add key topic_views (topic_views);

alter ignore table minibbtable_send_mails add key (topic_id);
alter ignore table minibbtable_send_mails add key (user_id);

alter ignore table minibbtable_users add language varchar(3) not null default '';
alter ignore table minibbtable_users change user_icq user_icq varchar(50) not null default '';
alter ignore table minibbtable_users add activity int(1) not null default '1';
alter ignore table minibbtable_users add user_custom1 varchar(255) not null default '';
alter ignore table minibbtable_users add user_custom2 varchar(255) not null default '';
alter ignore table minibbtable_users add user_custom3 varchar(255) not null default '';

alter ignore table minibbtable_posts add key poster_ip (poster_ip);

#2.0 RC3
ALTER ignore TABLE minibbtable_users ADD num_topics INT(10) UNSIGNED DEFAULT '0' NOT NULL AFTER activity;
ALTER ignore TABLE minibbtable_users ADD num_posts INT(10) UNSIGNED DEFAULT '0' NOT NULL AFTER num_topics;

#2.0 RC5
ALTER ignore TABLE minibbtable_banned ADD banreason varchar(255) DEFAULT '' NOT NULL;

#2.0.3
ALTER ignore TABLE minibbtable_posts CHANGE poster_name poster_name VARCHAR(255) DEFAULT "Anonymous" NOT NULL;
ALTER ignore TABLE minibbtable_topics CHANGE topic_poster_name topic_poster_name VARCHAR(255) DEFAULT "Anonymous" NOT NULL;
ALTER ignore TABLE minibbtable_users CHANGE username username VARCHAR(255)  NOT NULL;
ALTER ignore TABLE minibbtable_users add key username (username);
ALTER ignore TABLE minibbtable_send_mails ADD active INT(1) UNSIGNED DEFAULT '1' NOT NULL;
ALTER ignore TABLE minibbtable_topics ADD topic_last_poster VARCHAR(255) default '' NOT NULL;

#2.1
alter table minibbtable_posts drop index post_id;
alter table minibbtable_topics drop index topic_id;

#3.3 v1
alter table minibbtable_topics modify topic_title varchar(700) not null default '';
alter table minibbtable_topics modify topic_poster_name varchar(254) not null default '';
alter table minibbtable_users modify user_interest varchar(300) not null default '';

#3.3 v3
ALTER TABLE minibbtable_posts MODIFY post_time datetime;
ALTER TABLE minibbtable_topics MODIFY topic_time datetime;
ALTER TABLE minibbtable_topics MODIFY topic_last_post_time datetime;
ALTER TABLE minibbtable_users MODIFY user_regdate datetime;

#3.5
CREATE TABLE minibbtable_failedlogin (
forced_id int(10) NOT NULL,
forced_username varchar(200) NOT NULL,
forced_ip varchar(45) NOT NULL,
forced_amount int(2) NOT NULL,
blocked_until datetime
) ENGINE=MYISAM;

alter table minibbtable_send_mails add post_id int(11);
alter table minibbtable_banned add banwhen datetime;

ALTER TABLE minibbtable_banned CHANGE banip banip varchar(45) NOT NULL default '';
ALTER TABLE minibbtable_posts CHANGE poster_ip poster_ip varchar(45) NOT NULL default '';
ALTER TABLE minibbtable_users CHANGE user_email user_email varchar(100) NOT NULL default '';

ALTER TABLE minibbtable_banned CHANGE banreason banreason varchar(256) NOT NULL DEFAULT '';
ALTER TABLE minibbtable_forums CHANGE forum_name forum_name varchar(150) NOT NULL default ''; 
ALTER TABLE minibbtable_posts CHANGE poster_name poster_name varchar(200) NOT NULL default 'Guest';
ALTER TABLE minibbtable_topics CHANGE topic_poster_name topic_poster_name varchar(200) NOT NULL default 'Guest';
ALTER TABLE minibbtable_users CHANGE username username varchar(200) NOT NULL default '';
ALTER TABLE minibbtable_users CHANGE user_icq user_icq varchar(256) NOT NULL default '';
ALTER TABLE minibbtable_users CHANGE user_occ user_occ varchar(256) NOT NULL default '';
ALTER TABLE minibbtable_users CHANGE user_from user_from varchar(256) NOT NULL default '';
ALTER TABLE minibbtable_users CHANGE user_custom1 user_custom1 varchar(256) NOT NULL default '';
ALTER TABLE minibbtable_users CHANGE user_custom2 user_custom2 varchar(256) NOT NULL default '';
ALTER TABLE minibbtable_users CHANGE user_custom3 user_custom3 varchar(256) NOT NULL default '';

#Having mySQL ver.5.5.3+, also refer to the _install_mysql_utf8mb4.sql upgrading file